import { ElementRef, KeyValueDiffers } from '@angular/core';
import { NgModel } from '@angular/forms';
import { NgFormValidateDirective } from './ng-form-validate.directive';
import { ValidateConfigService } from '../validate-config.service';
import { AbstractValidateElementDirective } from '../abstract-validate-element.directive';
import * as i0 from "@angular/core";
export declare class NgModelValidateDirective extends AbstractValidateElementDirective {
    protected elementRef: ElementRef<HTMLElement | HTMLInputElement>;
    protected config: ValidateConfigService;
    protected keyValueDiffers: KeyValueDiffers;
    protected ngControl: NgModel;
    protected ngFormValidate: NgFormValidateDirective;
    protected document: Document;
    errorMessage?: Record<string, string>;
    constructor(elementRef: ElementRef<HTMLElement | HTMLInputElement>, config: ValidateConfigService, keyValueDiffers: KeyValueDiffers, ngControl: NgModel, ngFormValidate: NgFormValidateDirective, document: Document);
    static ɵfac: i0.ɵɵFactoryDeclaration<NgModelValidateDirective, [null, null, null, { self: true; }, { optional: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgModelValidateDirective, "[ngModel]", never, { "errorMessage": "errorMessage"; }, {}, never>;
}
